summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFreemor <freemor@freemor.ca>2019-10-25 17:36:33 -0300
committerFreemor <freemor@freemor.ca>2019-10-25 17:36:33 -0300
commit2e78c4a7a986e656360328456fa6412487852b3f (patch)
tree3ad59bbe59997fa91bb43511b4835dc867f4d768
parent1402267ccf099c9884c264b02cc2e9a17120e9c9 (diff)
Add SYN_peek (for checking the outward side of the firewall to see if a flood is still ongoing)
-rw-r--r--SYN_peek8
1 files changed, 8 insertions, 0 deletions
diff --git a/SYN_peek b/SYN_peek
new file mode 100644
index 0000000..e27aed3
--- /dev/null
+++ b/SYN_peek
@@ -0,0 +1,8 @@
+#!/bin/bash
+#
+# Peek on the outside of the firewall to see if SYN flood is still ongoing
+if [[ $(id -u) -ne 0 ]]; then
+ echo "Must be run as root"
+ exit 1
+fi
+tcpdump -n "tcp[tcpflags] & (tcp-syn) != 0"